package com.ssj.service.conch.parents.v2.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

/**
 * @author Mount Liu
 * @date 2020/4/21
 */
public class ConditionReq extends BaseRequest {

    private final static long serialVersionUID = 1L;

    @ApiModelProperty(name = "vipId", value = "会员id", required = true)
    private String vipId;

    @ApiModelProperty(name = "courseName", value = "科目", required = true)
    private String courseName;

    @ApiModelProperty(name = "bookName", value = "教材版本", required = true)
    private String bookName;

    @ApiModelProperty(name = "provinceTermtrainId", value = "省份对应的表唯一id", required = true)
    private String provinceTermtrainId;

    @ApiModelProperty(name = "cityTermtrainId", value = "城市对应的表唯一id", required = true)
    private String cityTermtrainId;


    @ApiModelProperty(name = "areaTermtrainId", value = "区域对应的表唯一id", required = true)
    private String areaTermtrainId;

    @ApiModelProperty(name = "yearTermtrainId", value = "时间对应的表唯一id", required = true)
    private String yearTermtrainId;

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    public String getProvinceTermtrainId() {
        return provinceTermtrainId;
    }

    public void setProvinceTermtrainId(String provinceTermtrainId) {
        this.provinceTermtrainId = provinceTermtrainId;
    }

    public String getCityTermtrainId() {
        return cityTermtrainId;
    }

    public void setCityTermtrainId(String cityTermtrainId) {
        this.cityTermtrainId = cityTermtrainId;
    }

    public String getAreaTermtrainId() {
        return areaTermtrainId;
    }

    public void setAreaTermtrainId(String areaTermtrainId) {
        this.areaTermtrainId = areaTermtrainId;
    }

    public String getYearTermtrainId() {
        return yearTermtrainId;
    }

    public void setYearTermtrainId(String yearTermtrainId) {
        this.yearTermtrainId = yearTermtrainId;
    }
}
